### execution::context_as_t

A property that is used to obtain the execution context that is associated with an executor.

    template<
        typename U>
    struct context_as_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The context_as_t property applies to executors.
is_preferable [static] | The context_t property cannot be preferred.
is_requirable [static] | The context_t property cannot be required.

##### Requirements

Header: `asio/execution/context_as.hpp`

Convenience header: `asio/execution.hpp`